List contacts

List the contacts in a contact book, paged by the query parameters.

GEThttps://app.usenotix.dev/api/v1/contactBooks/{contactBookId}/contacts

Full access and read only keys can call this. Sending access keys cannot. Key permissions lists the extra rules some calls have.

List the contacts in a contact book, paged by the query parameters.

Path parameters

contactBookIdstringrequired

Query parameters

emailsstring
idsstring
pageinteger

1-based page number, at most 10000.

Minimum 1. Maximum 10000. Default 1.

limitinteger

Contacts per page, at most 200. Defaults to 50.

Minimum 1. Maximum 200. Default 50.

Headers

Authorizationstringrequired

Bearer followed by your API key.

curl -X GET "https://app.usenotix.dev/api/v1/contactBooks/<contactBookId>/contacts" \
  -H "Authorization: Bearer $NOTIX_API_KEY"
Response200
[
  {
    "id": "cm1x8f3k20001qz7v5b9d2e4a",
    "email": "customer@example.com",
    "properties": {},
    "contactBookId": "cm1x8f3k20001qz7v5b9d2e4a",
    "createdAt": "string",
    "updatedAt": "string"
  }
]
Open in ClaudeOpen in ChatGPT